Name:		OSDProxy
Version:	1.2.0
Release:	%mkrel 2
Summary:	OSDProxy
URL:		http://xtreemos.eu
Group:		System/Cluster
License:	GPL
Source:		%{name}-%{version}.tar.bz2
Patch0:		srv_project.properties.patch
Buildarch:	noarch

%description
OSDProxy
* The OSDProxy is installed as a new component for the XtreemFS server in the same location.
* Includes its own start/stop script, configuration file and log.
* After installation check configuracion:
	* xosDBPort database endpoint configuration.
	* ssl status
	* shared secret
	* uuid

%prep
%setup -q 
%patch0 -p0

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
%makeinstall CND_INSTALL_DIR=%{buildroot}%{_bindir} DESTDIR=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.XOS COPYING AUTHORS ChangeLog
%{_sysconfdir}/init.d/xtreemfs-osdProxy
%{_sysconfdir}/xos/xtreemfs/osdProxyconfig.properties
%{_javadir}/%name.jar
%{_datadir}/doc/xtreemfs-proxy/COPYING


%changelog
